EDIT - feature request #7968

ReferenceEditor: optional validation for completenes of Partial values in datePublished
12/21/2018 05:43 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.6

Severity: normal

Description

As consequence of the way #7833 was solved (see RegistrationWorkingSetService.checkReferencePublished(Reference
reference))the Partial values in datePublished should be validated for completeness:

Here in pseudo code (p is the Partial value)

e if p.hasMonth require p.hasYear
e if p.hasDay require p.hasMonth AND p.hasYear

Related issues:
Follows EDIT - bug #7833: submitters can access see any registration in any R... Rejected

Associated revisions

Revision f8fda7a9 - 03/27/2019 03:42 PM - Andreas Kohlbecker

fix #7968 validators for completeness of Partial and TimePeriod

Revision 10d072e7 - 03/27/2019 03:43 PM - Andreas Kohlbecker

fix #7968 validators for completeness of Partial and TimePeriod

History

#1 - 12/21/2018 05:43 PM - Andreas Kohlbecker
- Due date set to 10/18/2018
- Start date changed from 12/21/2018 to 10/18/2018

- Follows bug #7833: submitters can access see any registration in any RegistrationWorkingSet added

#2 - 01/30/2019 11:31 AM - Andreas Kohlbecker

- Target version changed from Release 5.5 to Release 5.6

#3 - 03/27/2019 02:56 PM - Andreas Kohlbecker
- Description updated

- Status changed from New to In Progress

#4 - 03/27/2019 03:42 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|f8fda7a9f00c1e87430c03d06bbcfcff44aa7ff4.

#5 - 03/27/2019 03:44 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

fully implemented but untestable since the system apparently does not allow to use incomplete Partials in the vaadin Ul.
